3

I have been following the steps of this guide: http://raspnode.com/diyEthereumGeth.html

but i get stuck on the "make geth" command, where my RPI outputs this error:

build/env.sh go install -v -ldflags '-X main.gitCommit c541b38fb36587d23c60f5e2f2b9b3c8700ec489' ./cmd/geth
github.com/ethereum/go-ethereum/core/types
# github.com/ethereum/go-ethereum/core/types
build/_workspace/src/github.com/ethereum/go-ethereum/core/types/transaction.go:39: undefined: atomic.Value
build/_workspace/src/github.com/ethereum/go-ethereum/core/types/transaction.go:40: undefined: atomic.Value
build/_workspace/src/github.com/ethereum/go-ethereum/core/types/transaction.go:41: undefined: atomic.Value
Makefile:17: recipe for target 'geth' failed
make: *** [geth] Error 2

What could be wrong ?!

EDIT

after usign the updated git repo here is the erro i get:

build/_workspace/src/github.com/ethereum/go-ethereum/internal/build/azure.go:23:2: cannot find package "github.com/Azure/azure-sdk-for-go/storage" in any of:
        /usr/lib/go/src/pkg/github.com/Azure/azure-sdk-for-go/storage (from $GOROOT)
        /home/pi/bin/go-ethereum/build/_workspace/src/github.com/Azure/azure-sdk-for-go/storage (from $GOPATH)
build/_workspace/src/github.com/ethereum/go-ethereum/internal/build/pgp.go:27:2: cannot find package "golang.org/x/crypto/openpgp" in any of:
        /usr/lib/go/src/pkg/golang.org/x/crypto/openpgp (from $GOROOT)
        /home/pi/bin/go-ethereum/build/_workspace/src/golang.org/x/crypto/openpgp (from $GOPATH)
Makefile:15: recipe for target 'geth' failed
make: *** [geth] Error 1
2

Note : i think this issue was resolved in the updated geth version by removing the elliptic.P224 usage so you are using an old release. I think the Tuto you follow is not updated. I suggest you to repeat the steps by using :

git clone -b release/1.5 https://github.com/ethereum/go-ethereum.git

Solution for old release : I've the same problem i resolved it by following the steps below(based on a problem raised on official github repos) :

1-First try a make clean.
2-try to install :brew install gmp or sudo apt-get install libgmp-dev
3-Remove all references to elliptic.P224 from files crypto/ecies/asn1.go and crypto/ecies/ecies_test.go

  • sudo apt-get isntall libgmp dones't work: unable to locate the package – Rémi Feb 3 '17 at 23:27
  • sudo apt-get install libgmp3-dev or sudo apt-get install libgmp-dev – Badr Bellaj Feb 3 '17 at 23:44
  • I have tried with the newer vesion and i know get another error, see my edit on my post – Rémi Feb 4 '17 at 6:35
  • Try the master and check this issue :github.com/ethereum/go-ethereum/issues/3277 – Badr Bellaj Feb 4 '17 at 9:36

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.